Subject: algorithm recommendations Re: IOTP Disg Spec version 01

From: [email-masked]
Date: Thu, 26 Aug 1999 14:22:00 -0400

I have sent a query to the Security and Applications Area Directors (ADs) on the
IESG asking for guidance in this area.  However, we have already heard from our
designated AD, Patrik Faltstrom, that RSA should not be the mandatory public key
algorithm.  And it certainly is the case that with recent IETF protocols, DSA
has been the mandtory to implement algorithm.

My take on all this is that for hash algorithms, SHA1 is mandatory to implement.
MD5 should be listed as optional.  I do not see any reason to recommend MD5 when
SHA1 is available.

For keyed hash algorithms, HMAC-SHA1 should be madatory to implement.  HMAC-MD5
should be listed as optional.

The only real question is public key algorithm.  I believe that RSA (with SHA1)
should be recommended because of its widespread availability and use.  I am very
uncomfortable with making ECDSA mandatory or even recommended.  We would  be the
first IETF protocol to do so, I believe, and I think it would lead to a long
delay while we interact with the IESG.  There is, of course, nothing wrong with
listing ECDSA as an option.  Given all the above, I still come to the conclusion
that DSA should be the mandtory to implement public key algorithm.

I'll post to the list further if I receive some guidance from the IESG on this
matter.

Thanks,
Donald

Donald E. Eastlake, 3rd
17 Skyline Drive, Hawthorne, NY 10532 USA
[email-masked]   tel: 1-914-784-7913, fax: 1-914-784-3833

home: 65 Shindegan Hill Road, RR#1, Carmel, NY 10512 USA
[email-masked]   tel: 1-914-276-2668

Yoshiaki KAWATSURA <[email-masked]> on 08/25/99 10:29:03 PM

To:   [email-masked]
cc:   [email-masked], [email-masked]
Subject:  Re: IOTP Disg Spec version 01

I understood for your feedback.

I discussed about this topic with the specialist of crypt in my company
 yesterday. He mentioned to me that

(1) the basic patent of RSA will be expired sooner
(2) RSA is constantly modified for security in widely-used environment
    than DSA.
(3) ECDSA should be mandatory, not DSA because
    (3-1) Now is in a transition from DSA to ECDSA
    (3-2) ECDSA is also standardized by ANSI and IEEE.
    (3-3) ECDSA is harder than DSA to be attacked because of
          its complex structure

So I suggest ECDSA and RSA should be mandatory.

----
Yoshiaki Kawatsura : E-mail [email-masked]
 Business & Information Systems Development Division, Hitachi,Ltd.
Voice: +81-44-549-1713(direct) Fax: +81-44-549-1721

>>>>> Wed, 25 Aug 1999 08:32:53 -0400,
     "Donald E. Eastlake 3rd" <[email-masked]> said:

>
> Looking at CMS in RFC 2630, it mandates the implementation of both RSA
> and DSA.  We could also go that way and make both mandatory.  I just
> believe that IESG approval will be more difficult if DSA is not
> mandatory, whether or not RSA is.  In most cases people will be using
> crypto libraries that support both.
>
> Donald
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]

-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]